package CRSDK;

@SuppressWarnings("unused")
public enum CrWarningExt_AFStatusParam {
    CrWarningExt_AFStatusParam_Unlocked     (0x00000001),
    CrWarningExt_AFStatusParam_Focused_AF_S         (0x00000002),
    CrWarningExt_AFStatusParam_NotFocused_AF_S      (0x00000003),
    CrWarningExt_AFStatusParam_TrackingSubject_AF_C (0x00000005),
    CrWarningExt_AFStatusParam_Focused_AF_C         (0x00000006),
    CrWarningExt_AFStatusParam_NotFocused_AF_C      (0x00000007),
    CrWarningExt_AFStatusParam_Unpause				(0x00000008),
    CrWarningExt_AFStatusParam_Pause				(0x00000009);

    private final CrInt32 value;
    CrWarningExt_AFStatusParam(int value) {
        this.value = new CrInt32(value);
    }
    public int getValue() {
        return  value.intValue();
    }
}
